Bug 67525 - CRASH: EDITING: it is not possible to delete more then 600 sheets with one click
Summary: CRASH: EDITING: it is not possible to delete more then 600 sheets with one click
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Sheet
  Show dependency treegraph
 
Reported: 2013-07-30 08:36 UTC by klausk
Modified: 2021-09-04 04:02 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
the ods file with more then 600 sheets an macros (2.51 MB, application/vnd.oasis.opendocument.spreadsheet)
2013-07-30 08:36 UTC, klausk
Details
file with macro to delete all sheets without the first one (16.65 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-09-15 16:05 UTC, klausk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description klausk 2013-07-30 08:36:50 UTC
Created attachment 83280 [details]
the ods file with more then 600 sheets an macros

Problem description: 

Steps to reproduce:
1. select more then 600 sheets with context at the sheet-tab
2. say yes to delete these sheets
3. it is the same resul if i start a macro "DossierLoeschen"

Current behavior:
lo crashes
Expected behavior:
reduced sheets
              
Operating System: Windows 8
Version: 4.1.0.4 release
Comment 1 Jean-Baptiste Faure 2013-09-14 07:02:20 UTC
I do not reproduce with LO 4.1.3.0.0+ under Linux / Ubuntu 13.04 x86-64.

Please, could you try with the current 4.1.1 version or the RC1 of LO 4.1.2 available at http://dev-builds.libreoffice.org/pre-releases/win/x86/ ?

best regards. JBF
Comment 2 klausk 2013-09-15 16:05:16 UTC
Created attachment 85870 [details]
file with macro to delete all sheets without the first one
Comment 3 klausk 2013-09-15 16:06:45 UTC
Comment on attachment 85870 [details]
file with macro to delete all sheets without the first one

it is not possible to delete 600 sheets without the first one (=Tabelle2) via basic.
Comment 4 Jean-Baptiste Faure 2013-11-10 11:32:40 UTC
Ok, bug confirmed on French QA mailing-list : http://go.mail-archive.com/DY8HUSirmsTKMZy_G6iF9yHjBa0=

Seems similar to bug 45987 which has been fixed. 

Workaround: use the Dispatcher.

Best regards. JBF
Comment 5 QA Administrators 2015-10-14 19:57:03 UTC Comment hidden (obsolete)
Comment 6 Jean-Baptiste Faure 2015-10-18 16:54:26 UTC
Still reproducible with version 5.0.4.0+ under Ubuntu 15.04 x86-64
LibreOffice eat the whole RAM and the machine becomes unresponsive.

Best regards. JBF
Comment 7 Jean-Baptiste Faure 2015-10-18 16:55:38 UTC
(In reply to Jean-Baptiste Faure from comment #4)
> Ok, bug confirmed on French QA mailing-list :
> http://go.mail-archive.com/DY8HUSirmsTKMZy_G6iF9yHjBa0=

This link does not work anymore.
Correct link: https://www.mail-archive.com/qa%40fr.libreoffice.org/msg02263.html

Best regards. JBF
Comment 8 Jean-Baptiste Faure 2015-10-18 17:17:08 UTC
crash or unresponsive computer -> critical.

Best regards. JBF
Comment 9 QA Administrators 2016-11-08 11:17:23 UTC Comment hidden (obsolete)
Comment 10 Jean-Baptiste Faure 2016-11-11 09:22:20 UTC
Please, do not change the version number, it is intended to show the first version in which the bug has been observed.

I guess your version change means that you still reproduce the bug with LO 5.2.2

Best regards. JBF
Comment 11 Telesto 2017-01-08 19:08:06 UTC
Reproducible with
Version: 5.4.0.0.alpha0+
Build ID: 92a1ad1f36b6d3cc13135a8c0805508933011577
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-06_23:42:59
Locale: nl-NL (nl_NL); Calc: CL

when using the Macro
Comment 12 Buovjaga 2017-07-18 17:44:37 UTC
In bug 105105 the crash did not happen when reporter set the undo steps to 1 in Tools - Options - LibO - Advanced - Expert config: org.openoffice.Office.Common/Undo

klausk: do you confirm?
Comment 13 QA Administrators 2019-05-19 02:50:40 UTC Comment hidden (obsolete)
Comment 14 CarolineFlack 2019-10-18 10:48:57 UTC Comment hidden (spam)
Comment 15 Muhammet Kara 2019-11-09 00:08:33 UTC
The macro is poorly written, and buggy in itself too. It wouldn't remove all sheets (but first one) even if there were no performance issues.

(In reply to Buovjaga from comment #12)

> In bug 105105 the crash did not happen when reporter set the undo steps to 1
> in Tools - Options - LibO - Advanced - Expert config:
> org.openoffice.Office.Common/Undo
> 
> klausk: do you confirm?

I confirm this works with

Version: 6.2.8.2
Build ID: 6.2.8.2-2.fc30
CPU threads: 16; OS: Linux 5.3; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 16 Jenna Hetry 2020-04-08 14:46:57 UTC Comment hidden (spam)
Comment 17 simpson joshua 2020-06-18 08:40:50 UTC Comment hidden (spam)
Comment 18 Muhammet Kara 2020-07-10 21:57:13 UTC
Still the same. Can't reproduce with:

Sürüm: 6.3.6.2
İnşa №: 6.3.6.2-4.fc31
İşlemci süreçleri: 16; İşletim Sistemi:Linux 5.6; UI gerçekleyici: varsayılan; VCL: gtk3; 
Yerel: tr-TR (en_US.UTF-8); Arayüz Dili: tr-TR
Calc: threaded


Could you please verify if this bug still exists? (Apart from the macro. The macro itself is buggy.)
Comment 19 QA Administrators 2021-01-07 04:11:16 UTC Comment hidden (obsolete)
Comment 20 john 2021-02-03 08:44:18 UTC Comment hidden (spam)
Comment 21 john 2021-02-03 08:46:44 UTC Comment hidden (spam)
Comment 22 john 2021-02-03 08:48:09 UTC Comment hidden (spam)
Comment 23 QA Administrators 2021-08-04 03:46:10 UTC Comment hidden (obsolete)
Comment 24 QA Administrators 2021-09-04 04:02:26 UTC
Dear klausk,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp